Bug 98604 - no logwatch filter for vsftpd
Summary: no logwatch filter for vsftpd
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logwatch   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-04 19:04 UTC by Matthew Saltzman
Modified: 2007-04-18 16:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-10 16:28:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Saltzman 2003-07-04 19:04:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030630

Description of problem:
Now that the preferred FTP server is vsftpd, logwatch should have a filter for
parsing vsftpd messages in /var/log/messages and /var/log/vsfptd.log. 
Currently, only the most limited information about ftp activities is reported.

Version-Release number of selected component (if applicable):
logwatch-4.3.1-2

How reproducible:
Always

Steps to Reproduce:
1. Install and run logwatch and vsftpd.
2. Read logwatch reports.
3. 
    

Actual Results:  Some vsftp activity is reported as "Unknown entries" in the
pam_unix section and as ftp connections in the Connections (secure-log) section.

Expected Results:  vsftp activity reported in an intelligent manner in its own
section, as it is with wu_ftpd and proftpd.

Additional info:

Comment 1 Elliot Lee 2003-07-10 16:28:46 UTC
This is better directed to the upstream maintainer (and is probably not horribly hard
for him to add).


Note You need to log in before you can comment on or make changes to this bug.